# mceditlib.operations package — mceditlib 0.1 documentation

### Navigation

- index
- modules |
- next |
- previous |
- mceditlib 0.1 documentation »
- mceditlib package »

# mceditlib.operations package

## Submodules

## mceditlib.operations.block_fill module

block_fill.py

Optimized functions for mass-replacing blocks in a world.

`mceditlib.operations.block_fill.``blockReplaceTable`(blockReplacements)

class `mceditlib.operations.block_fill.``FillBlocksOperation`(dimension, selection, blockType_or_list, blocksToReplace=(), updateLights=True)

  Bases: `mceditlib.operations.Operation`

  `done`()
  `operateOnChunk`(chunk)

## mceditlib.operations.entity module

entity

class `mceditlib.operations.entity.``RemoveEntitiesOperation`(dimension, selection)

  Bases: `mceditlib.operations.Operation`

  `operateOnChunk`(chunk)

## Module contents

class `mceditlib.operations.``Operation`(dimension, selection)

  Bases: `object`

  `chunkIterator` = None
  `next`()

    Iterating an Operation will call the function. Each iteration will complete a single chunk :return: :rtype:

  `done`()

    Called after all chunks have been iterated. :return: :rtype:

  `operateOnChunk`(chunk)

    Operate on a single chunk.

    Parameters: | chunk (WorldEditorChunk) –
    Returns: |
    Return type: |

class `mceditlib.operations.``ComposeOperations`(left, right)

  Bases: `mceditlib.operations.Operation`

  `operateOnChunk`(chunk)
  `done`()

### Navigation

- index
- modules |
- next |
- previous |
- mceditlib 0.1 documentation »
- mceditlib package »